# Get 'IndustrialPremisesContract'

Endpoint: GET /contracts/industrialpremisescontract/{pk}/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Path parameters:

  - `pk` (string, required)

## Response 200 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `id_number` (string, required)

  - `is_draft` (boolean)

  - `signed_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `cancellation_time`, `start_date`

  - `start_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `signed_time`, `initial_end_date`

  - `initial_end_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `start_date`

  - `renewed_to` (string)

  - `lifetime_end_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `cancellation_signed_time`, `cancellation_time`

  - `owner_notification_interval_weeks` (integer)

  - `counterpart_notification_interval_weeks` (integer)

  - `renew_interval_weeks` (integer)

  - `renew_indefinetely` (boolean)

  - `owner_warning_interval_weeks` (integer)

  - `counterpart_warning_interval_weeks` (integer)

  - `last_owner_notification_date` (string)

  - `last_counterpart_notification_date` (string)

  - `owner_warning_date` (string)

  - `counterpart_warning_date` (string)

  - `cancellation_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `cancellation_signed_time`, `lifetime_end_date`, `signed_time`
This value requires that the following fields are also set: `start_date`, `signed_time`, `cancelled_by_counterpart`

  - `cancellation_signed_time` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `lifetime_end_date`, `cancellation_time`
This value requires that the following fields are also set: `cancellation_time`

  - `cancelled_by_counterpart` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `cancellation_time`

  - `cancellation_source` (integer)
    **Additional Validation Information:**
This value requires that the following fields are also set: `cancellation_time`
Enum Descriptions:
* `0` - Pigello Tenant Portal
* `1` - Phone
* `2` - Email
* `3` - Postal
* `4` - Meeting
* `5` - Chat
* `6` - Integration
    Enum: 0, 1, 2, 3, 4, 5, 6

  - `cancellation_reason` (string)
    **Additional Validation Information:**
This value requires that the following fields are also set: `cancellation_time`

  - `cancellation_comment` (string)
    **Additional Validation Information:**
This value requires that the following fields are also set: `cancellation_time`

  - `pending_re_negotiations` (boolean)

  - `status` (integer, required)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Active
* `1` - Active Further
* `2` - Active Definite End
* `3` - Cancelled Pending Negotiation
* `4` - Cancelled Pending
* `5` - Cancelled Negotiation
* `6` - Cancelled
* `7` - Owner Warning
* `8` - Counterpart Warning
* `9` - Upcoming
* `10` - Not Signed
* `11` - Inactive Cancellation Not Signed
* `12` - Inactive
    Enum: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12

  - `invoicing_period` (integer)
    **Additional Validation Information:**
This value must be set together with the following fields: `invoice_month_interval`, `invoicing_period_from`
Enum Descriptions:
* `-1` - Previous
* `0` - Current
* `1` - Upcoming
    Enum: -1, 0, 1

  - `invoice_month_interval` (integer)
    **Additional Validation Information:**
This value must be set together with the following fields: `invoicing_period`, `invoicing_period_from`

  - `invoicing_period_from` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `invoicing_period`, `invoice_month_interval`

  - `invoicing_customer_reference` (string)

  - `invoicing_marking` (string)

  - `invoicing_debt_distribution_pushed_until` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `invoicing_reminder_distribution_pushed_until`
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoicing_debt_blocked` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoicing_reminder_distribution_pushed_until` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `invoicing_debt_distribution_pushed_until`
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoicing_reminder_blocked` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoicing_interest_fee_blocked` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoicing_automatic_creation_paused` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoice_merge_non_base_rent_in_view` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoice_merge_index_in_view` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoice_merge_base_rent_in_view` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `invoicing_attempt_autogiro` (boolean)

  - `invoicing_default_vat` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Vat 0
* `6` - Vat 6
* `12` - Vat 12
* `25` - Vat 25
    Enum: 0, 6, 12, 25

  - `invoicing_is_internal` (boolean)

  - `custom_dimension_value` (string)

  - `co_invoice` (boolean)
    **Additional Validation Information:**
This value requires that the following fields are also set: `invoicing_period`, `invoice_month_interval`, `invoicing_period_from`

  - `negotiation_succession_contract` (object)

  - `negotiation_succession_contract.id` (string)

  - `has_base_rent_vat` (boolean)

  - `archived` (boolean)

  - `tenant` (object)
    **Additional Validation Information:**
This value must not match with the values of these fields: `bi_tenants`

  - `tenant.id` (string)

  - `space` (object, required)

  - `space.id` (string)

  - `customer_earnings_setting` (object)

  - `customer_earnings_setting.id` (string)

  - `main_industrial_premises_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `main_apartment_contract`, `main_outdoorsection_contract`, `main_brf_invoiceable`

  - `main_industrial_premises_contract.id` (string)

  - `main_apartment_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `main_industrial_premises_contract`, `main_outdoorsection_contract`, `main_brf_invoiceable`

  - `main_apartment_contract.id` (string)

  - `main_outdoorsection_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `main_apartment_contract`, `main_industrial_premises_contract`, `main_brf_invoiceable`

  - `main_outdoorsection_contract.id` (string)

  - `main_brf_invoiceable` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `main_apartment_contract`, `main_industrial_premises_contract`, `main_outdoorsection_contract`

  - `main_brf_invoiceable.id` (string)

  - `bi_tenants` (array)

  - `bi_tenants.id` (string)

  - `tags` (any)

  - `customer_columns` (any)

  - `pending_monitor_approval_amount` (any)

